@echo off

if not exist timemine-windows.jar (
  echo ERROR: JAR file './timemine-windows.jar' not found!
  goto end
)
if not exist timemine-windows_64.jar (
  echo ERROR: JAR file './timemine-windows_64.jar' not found!
  goto end
)

java.exe -Xmx512m -Xss8m -XX:+HeapDumpOnOutOfMemoryError -enableassertions -Djava.library.path= -cp timemine-windows.jar DataModel > NUL:
if errorlevel 64 goto 64
if errorlevel 32 goto 32
echo ERROR: cannot detect data model (32/64 bit) - VM failure?
goto end

:64
  java.exe -Xmx512m -Xss8m -XX:+HeapDumpOnOutOfMemoryError -enableassertions -Djava.library.path= -jar timemine-windows_64.jar --debug %*
  if errorlevel 64 goto 64
goto end

:32
  java.exe -Xmx512m -Xss8m -XX:+HeapDumpOnOutOfMemoryError -enableassertions -Djava.library.path= -jar timemine-windows.jar --debug %*
  if errorlevel 64 goto 32
goto end

:end
@echo on
